[SA20054] Dreamweaver Server Behavior SQL Injection Vulnerability

2006-05-10T00:00:00
ID SECURITYVULNS:DOC:12627
Type securityvulns
Reporter Securityvulns
Modified 2006-05-10T00:00:00

Description

TITLE: Dreamweaver Server Behavior SQL Injection Vulnerability

SECUNIA ADVISORY ID: SA20054

VERIFY ADVISORY: http://secunia.com/advisories/20054/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

WHERE: >From remote

SOFTWARE: Macromedia Dreamweaver MX 2004 http://secunia.com/product/3194/ Macromedia Dreamweaver 8.x http://secunia.com/product/7022/

DESCRIPTION: A vulnerability has been reported in Dreamweaver, which can be exploited by malicious people to conduct SQL injection attacks.

The vulnerability is caused due to missing sanitation of the code generated by Dreamweaver server behaviours for various server models. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

SOLUTION: Users of Dreamweaver 8 should update to version 8.0.2. http://www.adobe.com/support/dreamweaver/downloads_updaters.html#dw8

Dreamweaver MX 2004 users should follow the published instructions for updating the code: http://www.adobe.com/go/300b670e

PROVIDED AND/OR DISCOVERED BY: The vendor credits Brian Gallagher.

ORIGINAL ADVISORY: http://www.adobe.com/support/security/bulletins/apsb06-07.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.